diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 8313c02754..4e396f3ba1 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -231,6 +231,7 @@ (define-module (gnu packages games)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system qt)
+  #:use-module (guix build-system renpy)
   #:use-module (guix build-system scons)
   #:use-module (guix build-system trivial)
   #:use-module ((srfi srfi-1) #:hide (zip))
@@ -999,6 +1000,91 @@ (define-public bzflag
     ;; The game is dual-licensed.
     (license (list license:lgpl2.1 license:mpl2.0))))
 
+(define-public camelia-girls
+  (package
+    (name "camelia-girls")
+    (version "0.561")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://codeberg.org/rikardn/cameliagirls.git")
+             (commit "1285aa1261f57545d81cc0194432bd6fe6f7fe44")))
+       (sha256
+        (base32 "1yq9gx2zh71c99w1pfvkv5isgm4pd3hjlixcn5vhk1l1f9f7mfc7"))
+       (file-name (git-file-name name version))
+       (snippet '(begin
+                   ;; Remove bundled dependencies.
+                   (delete-file "game/fonts/DejaVuSansMono-Bold.ttf")
+                   (delete-file "game/fonts/DejaVuSerif-BoldItalic.ttf")))))
+    (build-system renpy-build-system)
+    (arguments
+     `(#:phases (modify-phases %standard-phases
+                  (add-after 'install 'unbundle-fonts
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (let* ((font-name-bold "DejaVuSansMono-Bold.ttf")
+                             (font-name-bi "DejaVuSerif-BoldItalic.ttf")
+                             (font-path-bold (string-append (assoc-ref inputs
+                                                             "font-dejavu")
+                                              "/share/fonts/truetype/"
+                                              font-name-bold))
+                             (font-path-bi (string-append (assoc-ref inputs
+                                                           "font-dejavu")
+                                            "/share/fonts/truetype/"
+                                            font-name-bi))
+                             (target-bold (string-append (assoc-ref outputs
+                                                                    "out")
+                                           "/share/renpy/fonts/"
+                                           font-name-bold))
+                             (target-bi (string-append (assoc-ref outputs
+                                                                  "out")
+                                                       "/share/renpy/fonts/"
+                                                       font-name-bi)))
+                        (symlink font-path-bold target-bold)
+                        (symlink font-path-bi target-bi))))
+
+                  (add-after 'install-desktop-file 'install-desktop-icon
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (let* ((out (assoc-ref outputs "out"))
+                             (game-name "CameliaGirls")
+                             (desktop-path (string-append out
+                                            "/share/applications/" game-name
+                                            ".desktop"))
+                             (icon-dir (string-append out
+                                        "/share/icons/hicolor/128x128/apps"))
+                             (orig-icon-name "icon-high.png")
+                             (new-icon-name (string-append game-name
+                                                           "-icon.png"))
+                             (orig-icon-path (string-append icon-dir "/"
+                                                            orig-icon-name))
+                             (new-icon-path (string-append icon-dir "/"
+                                                           new-icon-name)))
+                        (let ((output-port (open-file desktop-path "a")))
+                          (display (string-append "Icon=" game-name "-icon")
+                                   output-port)
+                          (newline output-port)
+                          (close output-port))
+                        (substitute* desktop-path
+                          (("^Name=")
+                           (string-append "Name=" game-name)))
+                        (mkdir-p icon-dir)
+                        (install-file orig-icon-name icon-dir)
+                        (rename-file orig-icon-path new-icon-path)))))))
+
+    (inputs (list font-dejavu))
+    (home-page "https://codeberg.org/rikardn/cameliagirls")
+    (synopsis
+     "Slice-of-life visual novel featuring the student body of Camelia Academy")
+    (description
+     "CameliaGirls: @@CameliaGirls or Cewek Cewek Camelia is a visual novel
+that follows the life of a transfer student as she begins her new life at the
+all-girl Camelia Academy.  The game is highly dialog-driven, but also
+incorporates visual gags, reminiscent of the Anime style that inspires it.
+The script and interface is translated to English, Indonesian, Spanish,
+German and French.  The game consists of two acts and the story is
+unfinished.")
+    (license license:cc-by-sa3.0)))
+
 (define-public cataclysm-dda
   (package
     (name "cataclysm-dda")