diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index db8d8da0a9..b95b089ed5 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -75,7 +75,7 @@
 ;;; Copyright © 2022, 2024 Maxim Cournoyer <maxim.cournoyer@gmail.com>
 ;;; Copyright © 2022 Hendursaga <hendursaga@aol.com>
 ;;; Copyright © 2022 Parnikkapore <poomklao@yahoo.com>
-;;; Copyright © 2023 Zheng Junjie <873216071@qq.com>
+;;; Copyright © 2023, 2024 Zheng Junjie <873216071@qq.com>
 ;;; Copyright © 2023 Florian Pelz <pelzflorian@pelzflorian.de>
 ;;; Copyright © 2023 Ivana Drazovic <iv.dra@hotmail.com>
 ;;; Copyright © 2023, 2024 gemmaro <gemmaro.dev@gmail.com>
@@ -10472,7 +10472,7 @@ (define-public chessx
     (native-inputs
      (list qttools-5))
     (inputs
-     (list qtbase-5 qtmultimedia-5 qtspeech qtsvg-5 zlib))
+     (list qtbase-5 qtmultimedia-5 qtspeech-5 qtsvg-5 zlib))
     (arguments
      `(#:tests? #f
        #:phases
diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 64e41b510d..88ce09f59e 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -11,7 +11,7 @@
 ;;; Copyright © 2021 Alexandros Theodotou <alex@zrythm.org>
 ;;; Copyright © 2022 Brendan Tildesley <mail@brendan.scot>
 ;;; Copyright © 2022 Petr Hodina <phodina@protonmail.com>
-;;; Copyright © 2023 Zheng Junjie <873216071@qq.com>
+;;; Copyright © 2023, 2024 Zheng Junjie <873216071@qq.com>
 ;;; Copyright © 2024 Maxim Cournoyer <maxim.cournoyer@gmail.com>
 ;;;
 ;;; This file is part of GNU Guix.
@@ -1985,7 +1985,7 @@ (define-public knotifications
            phonon
            qtdeclarative-5
            qtbase-5
-           qtspeech
+           qtspeech-5
            qtx11extras))
     (arguments
      (list #:phases #~(modify-phases %standard-phases
@@ -3249,7 +3249,7 @@ (define-public ktextwidgets
            kwidgetsaddons
            kwindowsystem
            qtbase-5
-           qtspeech))
+           qtspeech-5))
     (home-page "https://community.kde.org/Frameworks")
     (synopsis "Text editing widgets")
     (description "KTextWidgets provides widgets for displaying and editing text.
diff --git a/gnu/packages/kde-pim.scm b/gnu/packages/kde-pim.scm
index e95eac4e2f..c3f7f9a4d6 100644
--- a/gnu/packages/kde-pim.scm
+++ b/gnu/packages/kde-pim.scm
@@ -848,13 +848,13 @@ (define-public kdepim-runtime
            qtdeclarative-5
            qtkeychain
            qtnetworkauth-5
-           qtspeech
+           qtspeech-5
            qtwebchannel-5
            qtwebengine-5
            qtxmlpatterns))
     (arguments
-      ;; TODO: 5/45 tests fail for quite different reasons, even with
-      ;; "offscreen" and dbus
+     ;; TODO: 5/45 tests fail for quite different reasons, even with
+     ;; "offscreen" and dbus
      `(#:phases (modify-phases %standard-phases
                   (add-after 'set-paths 'extend-CPLUS_INCLUDE_PATH
                     (lambda* (#:key inputs #:allow-other-keys)
@@ -1993,7 +1993,7 @@ (define-public kpimtextedit
            kwidgetsaddons
            kxmlgui
            qtbase-5
-           qtspeech
+           qtspeech-5
            sonnet))
     (arguments
      `(#:tests? #f)) ;; TODO - test suite hangs
diff --git a/gnu/packages/kde-utils.scm b/gnu/packages/kde-utils.scm
index 4e665da599..351a58687c 100644
--- a/gnu/packages/kde-utils.scm
+++ b/gnu/packages/kde-utils.scm
@@ -1,7 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2017, 2019 Hartmut Goebel <h.goebel@crazy-compilers.com>
 ;;; Copyright © 2020, 2021 Tobias Geerinckx-Rice <me@tobias.gr>
-;;; Copyright © 2021 Zheng Junjie <873216071@qq.com>
+;;; Copyright © 2021, 2024 Zheng Junjie <873216071@qq.com>
 ;;; Copyright © 2022 Brendan Tildesley <mail@brendan.scot>
 ;;; Copyright © 2022 Petr Hodina <phodina@protonmail.com>
 ;;;
@@ -874,7 +874,7 @@ (define-public kmouth
            kxmlgui
            breeze-icons ;; default icon set
            qtbase-5
-           qtspeech))
+           qtspeech-5))
     (home-page "https://apps.kde.org/kmouth/")
     (synopsis "Type-and-say frontend for speech synthesizers")
     (description "KMouth is a program which enables persons that cannot speak
diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 8e8bb32fda..385bb42926 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -1557,7 +1557,7 @@ (define-public okular
            kio
            kparts
            kpty
-           qtspeech
+           qtspeech-5
            kwallet
            kwindowsystem
            libkexiv2
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index f5c63800c9..22d6e696c0 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2611,7 +2611,7 @@ (define-public qtremoteobjects
     (home-page (package-home-page qtbase))
     (license (package-license qtbase))))
 
-(define-public qtspeech
+(define-public qtspeech-5
   (package
     (inherit qtsvg-5)
     (name "qtspeech")
@@ -4565,7 +4565,7 @@ (define-public python-pyside-2
            qtscript
            qtscxml
            qtsensors-5
-           qtspeech
+           qtspeech-5
            qtsvg-5
            qttools-5
            qtwebchannel-5
diff --git a/gnu/packages/radio.scm b/gnu/packages/radio.scm
index 9c8225d22b..74a74f9922 100644
--- a/gnu/packages/radio.scm
+++ b/gnu/packages/radio.scm
@@ -14,6 +14,7 @@
 ;;; Copyright © 2022 Ryan Tolboom <ryan@using.tech>
 ;;; Copyright © 2023 Sharlatan Hellseher <sharlatanus@gmail.com>
 ;;; Copyright © 2023 Efraim Flashner <efraim@flashner.co.il>
+;;; Copyright © 2024 Zheng Junjie <873216071@qq.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2671,7 +2672,7 @@ (define-public sdrangel
            qtmultimedia-5
            qtquickcontrols2-5
            qtserialport
-           qtspeech
+           qtspeech-5
            qtwebchannel-5
            qtwebengine-5
            qtwebsockets-5